MsWks4TextInternal::DataPLC Struct Reference

Internal: class to store the PLC: Pointer List Content ? More...

## Public Member Functions

| DataPLC ()
| constructor

## Public Attributes

std::string | m_name
| the entry name
PLCType | m_type
| the type
long | m_value
| a potential value
std::string | m_error
| a string used to store the parsing errors

## Friends

std::ostream & | operator<< (std::ostream &o, DataPLC const &plc)
| operator<<

## Detailed Description

Internal: class to store the PLC: Pointer List Content ?

## Constructor & Destructor Documentation

## DataPLC()

MsWks4TextInternal::DataPLC::DataPLC | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | DataPLC const & | plc )

friend

operator<<

## Member Data Documentation

## m_error

std::string MsWks4TextInternal::DataPLC::m_error

a string used to store the parsing errors

Referenced by DataPLC(), operator<<, and MsWks4Text::readPLC().

## m_name

std::string MsWks4TextInternal::DataPLC::m_name

the entry name

Referenced by DataPLC(), operator<<, and MsWks4Text::readPLC().

## m_type

PLCType MsWks4TextInternal::DataPLC::m_type

the type

Referenced by DataPLC(), and MsWks4Text::readPLC().

## m_value

long MsWks4TextInternal::DataPLC::m_value

a potential value

Referenced by DataPLC(), operator<<, and MsWks4Text::readPLC().

The documentation for this struct was generated from the following file:

- MsWks4Text.cxx